org.apache.activemq.artemis.uri.schemas.clusterConnection

## Class ClusterConnectionStaticSchema

- java.lang.Object
- - org.apache.activemq.artemis.utils.uri.URISchema<org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration,String>
  - - org.apache.activemq.artemis.uri.schemas.clusterConnection.ClusterConnectionStaticSchema

- Direct Known Subclasses:
    ClusterConnectionMulticastSchema

      public class ClusterConnectionStaticSchema
      extends org.apache.activemq.artemis.utils.uri.URISchema<org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration,String>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterConnectionStaticSchema()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSchemaName()`
    `protected org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration` | `internalNewObject(URI uri, Map<String,String> query, String param)`
    `protected URI` | `internalNewURI(org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration bean)`
    `void` | `populateObject(URI uri, org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration bean)`

    - ### Methods inherited from class org.apache.activemq.artemis.utils.uri.URISchema

      `getDefaultURI, getFactory, getHost, getPort, internalPopulateObject, newObject, newObject, newURI, parseQuery, printQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterConnectionStaticSchema

          public ClusterConnectionStaticSchema()

  - ### Method Detail

    - #### getSchemaName

          public String getSchemaName()

      Specified by:
        `getSchemaName` in class `org.apache.activemq.artemis.utils.uri.URISchema<org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration,String>`

    - #### internalNewObject

          protected org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration internalNewObject(URI uri,
                                                                                                             Map<String,String> query,
                                                                                                             String param)
                                                                                                      throws Exception

      Specified by:
        `internalNewObject` in class `org.apache.activemq.artemis.utils.uri.URISchema<org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration,String>`
      Throws:
        `Exception`

    - #### populateObject

          public void populateObject(URI uri,
                                     org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration bean)
                              throws Exception

      Overrides:
        `populateObject` in class `org.apache.activemq.artemis.utils.uri.URISchema<org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration,String>`
      Throws:
        `Exception`

    - #### internalNewURI

          protected URI internalNewURI(org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration bean)
                                throws Exception

      Overrides:
        `internalNewURI` in class `org.apache.activemq.artemis.utils.uri.URISchema<org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration,String>`
      Throws:
        `Exception`

Copyright © 2020 The Apache Software Foundation. All rights reserved.